DRM_VMA_NODE_OFFSET_(9)

NAME
drm_vma_node_offset_addr - Return sanitized offset for user-space mmaps

SYNOPSIS

__u64 drm_vma_node_offset_addr(struct drm_vma_offset_node * node);

ARGUMENTS

node
    Linked offset node

DESCRIPTION

Same as drm_vma_node_start but returns the address as a valid offset that can be used for user-space mappings during mmap. This must not be called on unlinked nodes.

RETURNS

Offset of node for byte-based addressing. 0 if the node does not have an object allocated.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT